Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.util
Interface DelayedProxy

All Known Implementing Classes:
  DelayedArrayListProxy, DelayedHashSetProxy, DelayedLinkedHashSetProxy, DelayedLinkedListProxy, DelayedPriorityQueueProxy, DelayedTreeSetProxy, DelayedVectorProxy

    public interface DelayedProxy

Implemented by proxy classes which are delay-load capable. Delay-load proxies are lazily loaded and provide some operations which allow manipulation of proxy without necessarily needing to load the proxied object.

Method Summary
`void` | `closeBroker()` Close the broker that is used to service this proxy.
`Broker` | `getBroker()` Get the broker that is used to service this proxy.
`int` | `getDelayedField()` Returns the expected field index even if this collection was detached.
`OpenJPAStateManager` | `getDelayedOwner()` Returns a state manager that can service this proxy even if the collection was detached.
`OpenJPAStateManager` | `getOwnerStateManager()` Returns the state manager of the owning instance.
`boolean` | `isDetached()` Returns whether the proxy is detached.
`boolean` | `isDirectAccess()` Returns whether the caller has direct-call access to the proxied object.
`void` | `load()` Load the proxy if it was delay-loaded.
`void` | `setDirectAccess(boolean direct)` Sets whether the caller has direct-call access to the proxied object.

Method Detail

### load

    void load()

  Load the proxy if it was delay-loaded.

### isDirectAccess

    boolean isDirectAccess()

  Returns whether the caller has direct-call access to the proxied object. Direct access allows calls to be made on the object without triggering a load or proxy state tracking callbacks.

### setDirectAccess

    void setDirectAccess(boolean direct)

  Sets whether the caller has direct-call access to the proxied object. Direct access allows calls to be made on the object without triggering a load or proxy state tracking callbacks.

### getBroker

    Broker getBroker()

  Get the broker that is used to service this proxy.

### closeBroker

    void closeBroker()

  Close the broker that is used to service this proxy.

### getOwnerStateManager

    OpenJPAStateManager getOwnerStateManager()

  Returns the state manager of the owning instance.

### getDelayedOwner

    OpenJPAStateManager getDelayedOwner()

  Returns a state manager that can service this proxy even if the collection was detached.

### getDelayedField

    int getDelayedField()

  Returns the expected field index even if this collection was detached.

  Returns:

### isDetached

    boolean isDetached()

  Returns whether the proxy is detached.

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 Apache Software Foundation. All Rights Reserved.